Package gui

# Class ColorGenerator

java.lang.Object
gui.ColorGenerator

public class ColorGenerator extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ColorGenerator.Color`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static List<ColorGenerator.Color>`
  `greatPalette(int colorCount)`
  `static List<ColorGenerator.Color>`
  `greatScheme(int colorCount)`
  `static ColorGenerator.Color`
  `hslToRgb(float h, float s, float l)`
  `static float`
  `hueToRgb(float p, float q, float t)`
  Helper method that converts hue to rgb

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ColorGenerator

    public ColorGenerator()

- ## Method Details

  - ### greatPalette

    public static List<ColorGenerator.Color> greatPalette(int colorCount)

  - ### greatScheme

    public static List<ColorGenerator.Color> greatScheme(int colorCount)

  - ### hslToRgb

    public static ColorGenerator.Color hslToRgb(float h, float s, float l)

  - ### hueToRgb

    public static float hueToRgb(float p, float q, float t)
    Helper method that converts hue to rgb